Package org.eclipse.emf.cdo.common

## Interface CDOCommonView.Options

- All Superinterfaces:
    `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.options.IOptions`
  All Known Subinterfaces:
    `CDOTransaction.Options`, `CDOView.Options`
  Enclosing interface:
    CDOCommonView

      public static interface CDOCommonView.Options
      extends org.eclipse.net4j.util.options.IOptions

  Encapsulates the configuration options of CDO views that are common to both client and server side.
  Since:
    4.1
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `CDOCommonView.Options.LockNotificationEvent` | An `options event` fired from common view `options` when the `lock notification enabled` option has changed.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isLockNotificationEnabled()` | Returns `true` if this view will notify its `listeners` about changes to the `lock states` of the objects in this view (due to lock operations in other views), `false` otherwise.
    `void` | `setLockNotificationEnabled​(boolean enabled)` | Specifies whether this view will notify its `listeners` about changes to the `lock states` of the objects in this view (due to lock operations in other views), or not.

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.options.IOptions

      `getContainer`

- - ### Method Detail

    - #### isLockNotificationEnabled

          boolean isLockNotificationEnabled()

      Returns `true` if this view will notify its `listeners` about changes to the `lock states` of the objects in this view (due to lock operations in other views), `false` otherwise.
      See Also:
        `CDOLockState`

    - #### setLockNotificationEnabled

          void setLockNotificationEnabled​(boolean enabled)

      Specifies whether this view will notify its `listeners` about changes to the `lock states` of the objects in this view (due to lock operations in other views), or not.
      See Also:
        `CDOLockState`